
call GAMS data.gms --app=%1 s=save\data gdx=data --NonIMv2=1 pw=120 solvelink=5
@if errorlevel 1 (
  @echo !!!!!!! Error Running Data !!!!!!!
  @exit /B %errorlevel%
)
call rmod2
@if errorlevel 1 (
  @echo !!!!!!! Error Running Model !!!!!!!
  @exit /B %errorlevel%
)
call rsim
@if errorlevel 1 (
  @echo !!!!!!! Error Running Simulations !!!!!!!
  @exit /B %errorlevel%
)
call rrep
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepbaseyr
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Base Year Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepmacro
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Macro Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepmeso
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Meso Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepenviro
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Environment Reports !!!!!!!
  @exit /B %errorlevel%
)
call rreppov
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Poverty Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepnpv
@if errorlevel 1 (
  @echo !!!!!!! Error Generating NPV Reports !!!!!!!
  @exit /B %errorlevel%
)
call rrepsel
@if errorlevel 1 (
  @echo !!!!!!! Error Generating Selected Reports !!!!!!!
  @exit /B %errorlevel%
)
call copy repsel.gdx repsel-%1.gdx 



